import {httpApi} from "../../request/httpApi";

export default {
  // 分页档案鉴定
  async pageByAuthenticate(form, msg = true) {
    return httpApi({
        url: '/api/blade-archive/archivesauto/pageByAuthenticate',
        method: 'get',
        params: form
    }, msg)
  },
  //获取立卷单位列表
  async getFilingUnitList(form, msg = true) {
      return httpApi({
          url: '/api/blade-archive/archivesauto/getFilingUnitList',
          method: 'get',
          params: form
      }, msg)
  },
    //获取档案销毁账户
    async getArchiveDestroyUser(form, msg = true) {
        return httpApi({
            url: '/api//blade-archive/archivesauto/getArchiveDestroyUser',
            method: 'get',
            params: form
        }, msg)
    },
  //批量销毁
  async batchDestroyArchive(form, msg = true) {
    return httpApi({
        url: '/api/blade-archive/archivesauto/batchDestroyArchive',
        method: 'get',
        params: form
    }, msg)
},
}
